<hr class="bg-dark p-0 m-0">
<p class="mt-3"><strong>{{commonContent.tenantID}}</strong></p>
<hr class="bg-light p-0 m-0">
<form ngForm #addNewRIForm="ngForm" class="mt-2 mr-2 ml-3 pr-5">
  <p class="text-left text-danger font-weight-bold ml-11">* {{riFormContent.required}}</p>
  <div class="row mt-3">
    <div [className]="isRuleEditMode ? 'col-md-4' : 'col-md-3'">
      <p class="text-left text-dark font-weight-bold">{{riFormContent.ruleCategory}}</p>
      <p class="text-left text-muted">{{riFormContent.ruleCatName}}</p>
    </div>
    <div [className]="isRuleEditMode ? 'col-md-4' : 'col-md-5'">
      <span *ngIf="!isRuleEditMode" class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{riFormContent.dataLayer.title}}</span>
      <div *ngIf="!isRuleEditMode">
        <ejs-dropdownlist required name="selectLayer" #selectLayer="ngModel" [(ngModel)]="riDetails.data_layer_id"
          [dataSource]="businessLayerList" [fields]="layerFields" (change)=layerChange($event,0) cssClass="e-outline"
          class="custom-ddl" [placeholder]="riFormContent.selectOptionWaterMark" allowFiltering="true" [filterBarPlaceholder]="filterPlaceholder"
          [ngClass]="selectLayer.invalid && (selectLayer.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
        </ejs-dropdownlist>
        <div *ngIf="selectLayer.invalid && (selectLayer.touched || formInvalidAfterSaveClick)">
          <p class="text-danger">{{riFormContent.dataLayer.errorMsg}}</p>
        </div>
      </div>
      <div *ngIf="isRuleEditMode">
        <p class="text-left text-muted mt-3">{{editRIDetails.data_layer_nm}}</p>
      </div>
    </div>
    <div class="col-md-4">
      <span *ngIf="!isRuleEditMode" class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{riFormContent.object.title}}</span>
      <div *ngIf="!isRuleEditMode">
        <ejs-dropdownlist required name="selectObject" #selectObject="ngModel" [(ngModel)]="riDetails.obj_id"
          [dataSource]="objectList" [fields]="objectFields" (change)=objectChange($event,0) class="custom-ddl"
          [placeholder]="riFormContent.selectOptionWaterMark" cssClass="e-outline" allowFiltering="true" [filterBarPlaceholder]="filterPlaceholder"
          [ngClass]="selectObject.invalid && (selectObject.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
        </ejs-dropdownlist>
        <div *ngIf="selectObject.invalid && (selectObject.touched || formInvalidAfterSaveClick)">
          <p class="text-danger">{{riFormContent.object.errorMsg}}</p>
        </div>
      </div>
      <div *ngIf="isRuleEditMode">
        <p class="text-left text-muted mt-3">{{editRIDetails.obj_nm}}</p>
      </div>
    </div>
  </div>
  <hr class="bg-light customHR">
  <div class="row">
    <div class="col-md-4">
      <span *ngIf="!isRuleEditMode" class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{riFormContent.attribute.title}}</span>
      <div *ngIf="!isRuleEditMode">
        <ejs-dropdownlist required class="custom-ddl" name="attribute" #attribute="ngModel" [dataSource]="attributeList"
          [fields]="attributeFields" [placeholder]="riFormContent.selectOptionWaterMark" [(ngModel)]="riDetails.attr_id"
          cssClass="e-outline" (change)="attributeChange($event)" allowFiltering="true" [filterBarPlaceholder]="filterPlaceholder"
          [ngClass]="attribute.invalid && (attribute.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
        </ejs-dropdownlist>
        <div *ngIf="attribute.invalid && (attribute.touched || formInvalidAfterSaveClick)">
          <p class="text-danger">{{riFormContent.attribute.errorMsg}}</p>
        </div>
      </div>
      <div *ngIf="isRuleEditMode">
        <p class="text-left text-muted mt-3">{{editRIDetails.attr_nm}}</p>
      </div>
    </div>
  </div>
  <div class="row mt-3">
    <div class="col-md-6">
      <span *ngIf="!isRuleEditMode" class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{riFormContent.checkType.title}}</span>
      <div *ngIf="!isRuleEditMode">
        <ejs-dropdownlist required class="custom-ddl" name="checkType" #checkType="ngModel" [dataSource]="checkTypeList"
          [fields]="checkTypeFields" [placeholder]="riFormContent.selectOptionWaterMark"
          [(ngModel)]="riDetails.mstr_rule_id" cssClass="e-outline"
          [ngClass]="checkType.invalid && (checkType.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
        </ejs-dropdownlist>
        <div *ngIf="checkType.invalid && (checkType.touched || formInvalidAfterSaveClick)">
          <p class="text-danger">{{riFormContent.checkType.errorMsg}}</p>
        </div>
      </div>
      <div *ngIf="isRuleEditMode">
        <p class="text-left text-muted">{{editRIDetails.mstr_rule_desc}}</p>
      </div>
    </div>
  </div>
  <div class="row mt-3">
    <div class="col-md-5">
      <span class="text-left text-dark font-weight-bold">{{riFormContent.reportCols.title}}</span>
      <div class="d-flex">
        <ejs-multiselect name="reportingColumns" #reportingColumns="ngModel" [(ngModel)]="riDetails.bk_attr_id"
          [dataSource]="reportColList" [fields]="attributeFields" [showDropDownIcon]='true'
          [placeholder]="riFormContent.muliSelectDropdownWatermark" [filterBarPlaceholder]="filterPlaceholder"
          [selectAllText]="riFormContent.multiSelectOptionWaterMark" mode="CheckBox" showSelectAll="true"
          cssClass="e-outline" class="mr-6 custom-ddl">
        </ejs-multiselect>
        <ejs-tooltip id="tooltip" content={{riFormContent.reportCols.subtitle}}>
          <em class="fa fa-info-circle ml-2 mt-3"></em></ejs-tooltip>
      </div>
    </div>
  </div>
  <div class="row mt-3">
    <div class="col-md-4">
      <span class="text-left text-dark font-weight-bold">{{riFormContent.condition.title}}</span>
      <div class="d-flex">
        <ejs-textbox name="condition" [placeholder]="riFormContent.condition.title" cssClass="e-outline"
          #condition="ngModel" [(ngModel)]="riDetails.fltr_con" class="custom-textbox-setting" autofocus></ejs-textbox>
        <ejs-tooltip id="tooltip" content={{riFormContent.condition.subtitle}}>
          <em class="fa fa-info-circle ml-2 mt-2 pt-2"></em></ejs-tooltip>
      </div>
    </div>
  </div>
  <h6 class="text-left text-dark font-weight-bold mt-3">{{riFormContent.refOptions}}</h6>
  <hr>
  <div class="row">
    <div class="col-md-4">
      <span class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{riFormContent.referenceLayer.title}}</span>
      <ejs-dropdownlist required class="custom-ddl" name="riLayer" #riLayer="ngModel"
        [placeholder]="riFormContent.selectOptionWaterMark" [dataSource]="referenceLayerList" [fields]="layerFields"
        [(ngModel)]="riDetails.ri_data_layer_id" cssClass="e-outline" (change)=layerChange($event,1) 
        allowFiltering="true" [filterBarPlaceholder]="filterPlaceholder"
        [ngClass]="riLayer.invalid && (riLayer.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
      </ejs-dropdownlist>
      <div *ngIf="riLayer.invalid && (riLayer.touched || formInvalidAfterSaveClick)">
        <p class="text-danger">{{riFormContent.referenceLayer.errorMsg}}</p>
      </div>
    </div>
  </div>
  <div class="row mt-3">
    <div class="col-md-6">
      <span class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{riFormContent.referenceObject.title}}</span>
      <ejs-dropdownlist required class="custom-ddl" name="riObject" #riObject="ngModel"
        [placeholder]="riFormContent.selectOptionWaterMark" [dataSource]="filteredReferenceObjectList" 
        allowFiltering="true" [filterBarPlaceholder]="filterPlaceholder"
        [fields]="objectFields" [(ngModel)]="riDetails.ri_obj_id" cssClass="e-outline" (change)=objectChange($event,1)
        [ngClass]="riObject.invalid && (riObject.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
      </ejs-dropdownlist>
      <div *ngIf="riObject.invalid && (riObject.touched || formInvalidAfterSaveClick)">
        <p class="text-danger">{{riFormContent.referenceObject.errorMsg}}</p>
      </div>
    </div>
  </div>
  <div class="row mt-3">
    <div class="col-md-6">
      <span class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{riFormContent.referenceAttribute.title}}</span>
      <ejs-dropdownlist required class="custom-ddl" name="riAttribute" #riAttribute="ngModel"
        [placeholder]="riFormContent.selectOptionWaterMark" [dataSource]="referenceAttributeList"
        [fields]="attributeFields" [(ngModel)]="riDetails.ri_attr_id" cssClass="e-outline"
        (change)="refAttributeChange($event)" allowFiltering="true" [filterBarPlaceholder]="filterPlaceholder"
        [ngClass]="riAttribute.invalid && (riAttribute.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
      </ejs-dropdownlist>
      <div *ngIf="riAttribute.invalid && (riAttribute.touched || formInvalidAfterSaveClick)">
        <p class="text-danger">{{riFormContent.referenceAttribute.errorMsg}}</p>
      </div>
    </div>
  </div>
  <div class="row mt-3">
    <div class="col-md-4">
      <span class="text-left text-dark font-weight-bold">{{riFormContent.referenceCondition.title}}</span>
      <div class="d-flex">
        <ejs-textbox name="riCondition" #riCondition="ngModel" [(ngModel)]="riDetails.ri_fltr_con"
          [placeholder]="riFormContent.referenceCondition.title" cssClass="e-outline" Class="custom-textbox-setting">
        </ejs-textbox>
        <ejs-tooltip id="tooltip" content={{riFormContent.referenceCondition.subtitle}}>
          <em class="fa fa-info-circle ml-2 mt-2 pt-2"></em></ejs-tooltip>
      </div>
    </div>
  </div>
  <div class="row mt-3">
    <div class="col-md-3">
      <p class="text-left text-dark font-weight-bold">{{riFormContent.status.title}}</p>
      <span>
        <ejs-checkbox [label]="riFormContent.status.label" name="active" #active="ngModel"
          [(ngModel)]="riDetails.is_rule_actv" [value]="status">
        </ejs-checkbox>
      </span>
    </div>
    <div class="col-md-9">
      <p class="text-left text-dark font-weight-bold">
        {{riFormContent.severity.title}}</p>
      <span *ngFor="let severityOption of severityOptions" class="mr-2">
        <ejs-radiobutton label="{{severityOption}}" name="severity" #severity="ngModel"
          [(ngModel)]="riDetails.rule_svrt" value="{{severityOption}}" (click)="riDetails.rule_svrt = severityOption"
          [ngClass]="riDetails.rule_svrt === severityOption?'chkdcustom-radio-btn':'custom-radio-btn'">
        </ejs-radiobutton>
      </span>
    </div>
  </div>
  <div class="row mt-3 custrow">
    <div class="col-md-12">
      <p class="text-left text-dark font-weight-bold">{{riFormContent.ruleDescription.title}}</p>
        <ejs-textbox name="ruleDescription" #ruleDescription="ngModel" [(ngModel)]="riDetails.rule_desc"
          cssClass="e-outline" class="mr-2 custom-textbox" [multiline]="true">
        </ejs-textbox>
    </div>
  </div>
</form>
<hr>
<div class="bg-light pt-3 pl-3">
  <h6 class="text-left text-dark font-weight-bold">{{commonContent.applySelections}}</h6>
  <div class="row p-3">
    <div class="col-md-4">
      <span class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{commonContent.applyOptions[0]}}</span>
      <ejs-dropdownlist name="therapeuticClass" #therapeuticClass="ngModel" [(ngModel)]="activeApplyDropdownList"
        [dataSource]="applyDropdownList" cssClass="e-outline" class="custom-small-ddl"
        [placeholder]="riFormContent.selectOptionWaterMark">
      </ejs-dropdownlist>
    </div>
    <div class="col-md-4">
      <span class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{commonContent.applyOptions[1]}}</span>
      <ejs-dropdownlist name="brand" #brand="ngModel" [(ngModel)]="activeApplyDropdownList"
        [dataSource]="applyDropdownList" cssClass="e-outline" class="custom-small-ddl"
        [placeholder]="riFormContent.selectOptionWaterMark">
      </ejs-dropdownlist>
    </div>
    <div class="col-md-4">
      <span class="text-danger font-weight-bold ml-11">* </span>
      <span class="text-left text-dark font-weight-bold">{{commonContent.applyOptions[2]}}</span>
      <ejs-dropdownlist name="fieldForce" #fieldForce="ngModel" [(ngModel)]="activeApplyDropdownList"
        [dataSource]="applyDropdownList" cssClass="e-outline" class="custom-small-ddl"
        [placeholder]="riFormContent.selectOptionWaterMark">
      </ejs-dropdownlist>
    </div>
  </div>
</div>